%{?python_enable_dependency_generator}

%global modname parsel

Name:           python-%{modname}
Version:        1.7.0
Release:    1%{?dist}
Summary:        Library to extract data from HTML and XML using XPath and CSS selectors

License:        BSD
URL:            https://github.com/scrapy/parsel
Source0:        %{url}/archive/v%{version}/%{modname}-%{version}.tar.gz

BuildArch:      noarch

%description
%{summary}.

%package -n python3-%{modname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{modname}}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pytest
BuildRequires:  python3-pytest-runner
BuildRequires:  python3-w3lib >= 1.8.0
BuildRequires:  python3-lxml >= 2.3
BuildRequires:  python3-six >= 1.5.2
BuildRequires:  python3-cssselect >= 0.9
BuildRequires:  python3-sybil
BuildRequires:  python3-psutil

%description -n python3-%{modname}
%{summary}.

Python 3 version.

%prep
%autosetup -n %{modname}-%{version}

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py ptr

%files -n python3-%{modname}
%license LICENSE
%doc README.rst NEWS
%{python3_sitelib}/%{modname}-*.egg-info/
%{python3_sitelib}/%{modname}/

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.7.0-1
- initial build
